Skip to main content
GET
/
v1
/
ui
/
notifications
Get user notifications
curl --request GET \
  --url https://api.example.com/v1/ui/notifications
[
  {
    "id": "<string>",
    "title": "<string>",
    "message": "<string>",
    "type": "info",
    "priority": "low",
    "isRead": true,
    "isArchived": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
]

Query Parameters

limit
number

Maximum number of notifications to return

offset
number

Number of notifications to skip for pagination

isRead
boolean

Filter by read status

type
enum<string>

Filter by notification type

Available options:
info,
success,
warning,
error,
payment,
transaction,
system
priority
enum<string>

Filter by notification priority

Available options:
low,
medium,
high,
urgent
includeArchived
boolean

Include archived notifications

Response

Notifications retrieved successfully

id
string

Notification ID

title
string

Notification title

message
string

Notification message

type
enum<string>

Notification type

Available options:
info,
success,
warning,
error,
payment,
transaction,
system
priority
enum<string>

Notification priority

Available options:
low,
medium,
high,
urgent
isRead
boolean

Whether notification is read

isArchived
boolean

Whether notification is archived

createdAt
string<date-time>

Creation timestamp

updatedAt
string<date-time>

Last update timestamp